Skip to main content
POST
/
v2
/
authentication
/
{registrationId}
Register Multi Instance App
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/authentication/{registrationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-challengecode: <x-challengecode>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "appId": "<string>",
  "registrationRequestId": "<string>",
  "status": 0
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-challengecode
string
required

You can enter any custom value here. The X-ChallengeCode is used during app registration and must be the same for all registration requests. The maximum length is 30 characters.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

registrationId
string
required

Unique identifier of the registration request

Response

Status of the registration process (including the unique identifiers of the application and registration request)

Model Class: RegistrationRequestStatusInfo

appId
string

Unique identifier of the application

registrationRequestId
string

Unique identifier of the registration request

status
enum<integer>

Status of the registration process

Available options:
0,
1,
2